org.bouncycastle.asn1.x9

## Class X962NamedCurves

- java.lang.Object
- - org.bouncycastle.asn1.x9.X962NamedCurves

    public class X962NamedCurves
    extends java.lang.Object

table of the current named curves defined in X.962 EC-DSA.

### Constructor Summary

Constructors
Constructor and Description
`X962NamedCurves()`

### Method Summary

Methods
`static X9ECParameters` `getByName(java.lang.String name)`
`static X9ECParameters` `getByOID(DERObjectIdentifier oid)` return the X9ECParameters object for the named curve represented by the passed in object identifier.
`static java.lang.String` `getName(DERObjectIdentifier oid)` return the named curve name represented by the given object identifier.
`static java.util.Enumeration` `getNames()` returns an enumeration containing the name strings for curves contained in this structure.
`static DERObjectIdentifier` `getOID(java.lang.String name)` return the object identifier signified by the passed in name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### X962NamedCurves

    public X962NamedCurves()

### Method Detail

#### getByName

    public static X9ECParameters getByName(java.lang.String name)

#### getByOID

    public static X9ECParameters getByOID(DERObjectIdentifier oid)

return the X9ECParameters object for the named curve represented by the passed in object identifier. Null if the curve isn't present.

Parameters:
  `oid` - an object identifier representing a named curve, if present.

#### getOID

    public static DERObjectIdentifier getOID(java.lang.String name)

return the object identifier signified by the passed in name. Null if there is no object identifier associated with name.

Returns:
  the object identifier associated with name, if present.

#### getName

    public static java.lang.String getName(DERObjectIdentifier oid)

return the named curve name represented by the given object identifier.

#### getNames

    public static java.util.Enumeration getNames()

returns an enumeration containing the name strings for curves contained in this structure.